<?php
namespace Incoviba\Common\Implement\Log;

use Monolog\Formatter\JsonFormatter;
use Monolog\LogRecord;

class PDOFormatter extends JsonFormatter
{
    public function __construct(int $batchMode = self::BATCH_MODE_JSON, bool $appendNewline = false, bool $ignoreEmptyContextAndExtra = false, bool $includeStacktraces = true)
    {
        parent::__construct($batchMode, $appendNewline, $ignoreEmptyContextAndExtra, $includeStacktraces);
    }

    public function format(LogRecord $record): string
    {
        $normalized = $this->normalize($record, $this->maxNormalizeDepth);
        return $normalized['message'];
    }
}
